Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.eac
Class PackedDate

    java.lang.Object
      org.bouncycastle.asn1.eac.PackedDate

public class PackedDate
extends java.lang.Object

EAC encoding date object

Constructor Summary
`PackedDate(java.util.Date time)` Base constructor from a java.util.date object.
`PackedDate(java.util.Date time, java.util.Locale locale)` Base constructor from a java.util.date object.
`PackedDate(java.lang.String time)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.util.Date` | `getDate()` return the time as a date based on whatever a 2 digit year will return.
`byte[]` | `getEncoding()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PackedDate

    public PackedDate(java.lang.String time)

### PackedDate

    public PackedDate(java.util.Date time)

  Base constructor from a java.util.date object.

Parameters:
  `time` - a date object representing the time of interest.

### PackedDate

    public PackedDate(java.util.Date time,
                      java.util.Locale locale)

  Base constructor from a java.util.date object. You may need to use this constructor if the default locale doesn't use a Gregorian calender so that the PackedDate produced is compatible with other ASN.1 implementations.

Parameters:
  `time` - a date object representing the time of interest.
  `locale` - an appropriate Locale for producing an ASN.1 GeneralizedTime value.

Method Detail

### getDate

    public java.util.Date getDate()
                           throws java.text.ParseException

  return the time as a date based on whatever a 2 digit year will return. For standardised processing use getAdjustedDate().

  Returns:
    the resulting date
  Throws:
    `java.text.ParseException` - if the date string cannot be parsed.

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

### toString

    public java.lang.String toString()

### getEncoding

    public byte[] getEncoding()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD